Bug 473776 - f-spot crashes reliably
f-spot crashes reliably
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: f-spot (Show other bugs)
10
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Nigel Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-30 09:37 EST by Mario Torre
Modified: 2009-04-12 01:46 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-07 04:19:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 552272 None None None Never

  None (edit)
Description Mario Torre 2008-11-30 09:37:18 EST
Description of problem:

F-spot crashes reliably. This happens when uploading photos to a flickr account, when tagging photos, when rotating them etc...

How reproducible:

Always, just use f-spot

Steps to Reproduce:
1. Use f-spot
  
Actual results:

After some operations, f-spot crashes.

Expected results:

Should just do it's job

Additional info:

This is what I get after a session (5 minutes of use or less):

[Info  15:25:23.085] Initializing DBus
[Info  15:25:23.242] Initializing Mono.Addins
[Info  15:25:23.497] Starting new FSpot server

(f-spot:4695): GdkPixbuf-WARNING **: GdkPixbufLoader finalized without calling gdk_pixbuf_loader_close() - this is not allowed. You must explicitly end the data stream to the loader before dropping the last reference.
value = f-spot version 0.4.4 len = 20
value = 2008:11:30 15:28:40 len = 19
value = f-spot version 0.4.4 len = 20
value = 2008:11:30 15:28:40 len = 19
Saved 12381 bytes

(f-spot:4695): Gtk-WARNING **: GtkSpinButton: setting an adjustment with non-zero page size is deprecated
Exception in Gtk# callback delegate
  Note: Applications can use GLib.ExceptionManager.UnhandledException to handle the exception.
GLib.MissingIntPtrCtorException: GLib.Object subclass FSpot.Widgets.RatingMenuItem must provide a protected or public IntPtr ctor to support wrapping of native object handles.
  at GLib.ObjectManager.CreateObject (IntPtr raw) [0x00000] 
  at GLib.Object.GetObject (IntPtr o, Boolean owned_ref) [0x00000] 
  at Gtk.Container.removed_cb (IntPtr container, IntPtr widget) [0x00000] 
   at GLib.ExceptionManager.RaiseUnhandledException(System.Exception e, Boolean is_terminal)
   at Gtk.Container.removed_cb(IntPtr container, IntPtr widget)
   at GLib.ToggleRef.g_object_remove_toggle_ref(IntPtr , GLib.ToggleNotifyHandler , IntPtr )
   at GLib.ToggleRef.Free()
   at GLib.Object.PerformQueuedUnrefs()
   at GLib.Timeout+TimeoutProxy.Handler()
   at Gtk.Application.gtk_main()
   at Gtk.Application.Run()
   at Gnome.Program.Run()
   at FSpot.Driver.Main(System.String[] args)

In this case I just finished uploading an image on flickr and opened one on gimp.
Comment 1 Devan Goodwin 2008-12-15 16:42:00 EST
Experiencing this as well, makes the program virtually unusable. Happens at different times but *very* frequently, can crash it within a few seconds just browsing around photos. Have not been able to identify any one thing that causes it.
Comment 2 Devan Goodwin 2008-12-15 16:45:12 EST
Forgot to mention, I'm on F10 x86_64.
Comment 3 Will Kemp 2008-12-19 10:20:55 EST
I'm having the same problem. Also F10 x86_64. F-spot is virtually unusable - and i can't help worrying about what it could do to my library of over 5000 photos if it's this unstable.
Comment 4 Sebastian Pölsterl 2008-12-19 16:47:29 EST
I have the same problem. Every time I want to delete a image from my collection f-spot crashes. Very annoying. I'm using F10 i386
Comment 5 Devan Goodwin 2008-12-21 10:24:57 EST
Found this bug in the GNOME Bugzilla: http://bugzilla.gnome.org/show_bug.cgi?id=552272

Based on the comments there it appears we need to update f-spot to at least 0.5.
Comment 6 Steven Bakker 2008-12-24 17:53:38 EST
Same thing here. F10/i386. Delete, rotate, tag, anything -- results in crash. Completely useless at this point. Am I going to have to use kphotoalbum?
Comment 7 Devan Goodwin 2008-12-25 20:06:49 EST
Hang in there, I updated the package for 0.5.0 in Fedora CVS and it appears to be building and working fine locally. I haven't yet committed these changes however, trying to contact the package owner to make sure my changes are kosher and he doesn't mind someone else rebuilding. If I can't reach him soon I'll check that I have appropriate permissions and rebuild + push out.
Comment 8 Will Kemp 2008-12-26 08:34:33 EST
That's good news. I haven't managed to build v0.5.0 on my F10 system - some library problem that i haven't been able to solve yet - so i'm glad to hear it can be done. If there's likely to be an updated package available soon, i'll stop bashing my head against that particular brick wall! Thanks.
Comment 9 Fedora Update System 2008-12-29 21:17:56 EST
f-spot-0.5.0.3-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/f-spot-0.5.0.3-2.fc10
Comment 10 Fedora Update System 2008-12-30 18:49:56 EST
f-spot-0.5.0.3-2.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update f-spot'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2008-11906
Comment 11 Fedora Update System 2009-01-07 04:19:47 EST
f-spot-0.5.0.3-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.